<!--Archivo de vista para el formulario de registrar una nueva actividad sobre un us-->
{% extends 'base.html' %}
{% load crispy_forms_tags %}
{% load custom_tags %}
{% block nav-proyecto %}
    <li class="nav-item active">
        <a class="nav-link" href="{% url 'Proyecto:index' %}">Proyecto <span class="sr-only">(current)</span> </a>
    </li>
{% endblock %}
{% block content %}

    <div class="container mb-5">
        <div class="py-5 text-center ">
            <h1 class="text-light"> Lista de miembros </h1>
        </div>

        <div class="bg-light border rounded border-dark p-3">

            <div class="input-group">
                <input type="text" id="buscarMiembro" onkeyup="buscarTabla('buscarMiembro','tablaMiembro')"
                       placeholder="Buscar por nombre"
                       title="Escriba un rol" class="form-control m-3" aria-describedby="inputGroup-sizing-lg">
            </div>
            <table class="table table-hover" id="tablaMiembro">
                <thead class="thead-dark">
                <tr>
                    <th scope="col" onclick="sortTable(0,'tablaMiembro','String')">Nombre</th>
                    <th scope="col" onclick="sortTable(1,'tablaMiembro','String')">Apellido</th>
                    <th scope="col" onclick="sortTable(2,'tablaMiembro','String')">Rol</th>
                    <th scope="col" onclick="sortTable(3,'tablaMiembro','String')">Correo Electronico</th>
                    <th scope="col" onclick="sortTable(4,'tablaMiembro','Numero')">Horas Asignadas</th>
                    <th scope="col" onclick="sortTable(5,'tablaMiembro','Numero')">Horas Trabajadas</th>
                </tr>
                </thead>
                <tbody>
                {% for m in listaMiembros %}
                    <tr>
                        <td>{{ m.idUser.first_name }}</td>
                        <td>{{ m.idUser.last_name }}</td>
                        <td>{{ m.idRol }}</td>
                        <td>{{ m.idUser.email }}</td>
                        <td>{{ horasEstimadas|get_at_index:forloop.counter0 }}</td>
                        <td>{{ horasTrabajadas|get_at_index:forloop.counter0 }}</td>
                    </tr>
                {% endfor %}
                </tbody>
            </table>
            <a class="btn btn-secondary left"
               href="{% url 'Proyecto:ListarSprint' idProyecto.id %} "
               role="button">Volver</a>
        </div>


    </div>


{% endblock %}


